#!/usr/bin/env python

import falcon
import json
from sat.util import get_uuid


class JSONTranslator():
    def process_response(self, req, resp, resource, req_succeeded):
        if not hasattr(resp.context, 'result'):
            return
        resp.text = json.dumps(resp.context.result)


class AppApi(object):

    def on_get(self, req, resp, rfc, cfdi):
        resp.context['result'] = get_uuid(rfc, cfdi)
        resp.status = falcon.HTTP_200


app = falcon.App(middleware=[JSONTranslator()])
api = AppApi()
app.add_route('/api/{rfc}/{cfdi}', api)
